error compiling patch

Chris Snyder csnyder at mvpsoft.com
Sat Jan 6 17:33:33 PST 2001


You could try recompiling glibc.  Someone else had the same problem as 
you (it's in the archives) and started from scratch to get rid of the 
problem.

Matthias Minich wrote:

> ahem, line 26 in buf.c is #include "ed.h"
> i don't think that i can comment that out. (i'm sure, because it didn't work
> ;-)
> 
> hmmm, any other idea?
> 
>> -----Original Message-----
>> From: lfs-discuss-owner at linuxfromscratch.org
>> [mailto:lfs-discuss-owner at linuxfromscratch.org]On Behalf Of Chris Snyder
>> Sent: Sunday, January 07, 2001 1:46 AM
>> To: lfs-discuss at linuxfromscratch.org
>> Subject: Re: error compiling patch
>> 
>> 
>> Matthias Minich wrote:
>> 
>>> root:/usr/src/ed-0.2# make
>>> gcc -c -I. -I. -DHAVE_CONFIG_H  -O3 -march=i586 buf.c
>>> In file included from buf.c:26:
>>> ed.h:241: conflicting types for `sys_errlist'
>>> /usr/include/stdio.h:564: previous declaration of `sys_errlist'
>>> make: *** [buf.o] Error 1
>>> root:/usr/src/ed-0.2#
>>> 
>> I had the same problem.  To get it to compile I just commented out the
>> offending line (buf.c:26 in your case).  I think it was related to glibc
>> (I was running 2.1.whatever, though) because it also happened with the
>> next one I tried to install.
>> 
>> 
>> --
>> Unsubscribe: send email to lfs-discuss-request at linuxfromscratch.org
>> and put unsubscribe in the subject header of the message
>> 



-- 
Unsubscribe: send email to lfs-discuss-request at linuxfromscratch.org
and put unsubscribe in the subject header of the message




More information about the lfs-dev mailing list